Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.core
Interface ISymbianBuildContext

All Known Subinterfaces:
  ICarbideBuildConfiguration

    public interface ISymbianBuildContext

ISymbianBuildContext represents a single buildable unit for a Symbian SDK and is used to get the various parts of the build parameters (e.g. platform and target) from the configuration display string

See Also:
  `ICarbideBuildConfiguration`

Field Summary
`static java.lang.String` | `ARM4_PLATFORM`
`static java.lang.String` | `ARMI_PLATFORM`
`static java.lang.String` | `ARMV5_ABIV2_PLATFORM`
`static java.lang.String` | `ARMV5_PLATFORM`
`static java.lang.String` | `ARMV6_ABIV2_PLATFORM`
`static java.lang.String` | `ARMV6_PLATFORM`
`static java.lang.String` | `DEBUG_TARGET` Target constants
`static java.lang.String` | `EMULATOR_PLATFORM` Platform constants
`static java.lang.String` | `GCCE_PLATFORM`
`static java.lang.String` | `RELEASE_TARGET`
`static java.lang.String` | `THUMB_PLATFORM`

Method Summary
`java.util.List<IDefine>` | `getCompilerMacros()` Returns the list of compiler macros from the compiler prefix file (if any).
`IPath` | `getCompilerPrefixFile()` Get the prefix file used at build time.
`java.lang.String` | `getDefaultDefFileDirectoryName(boolean isASSP)` Get the implicit directory searched for *.def files by the DEFFILE statement.
`java.lang.String` | `getDisplayString()` Get the full display string for the configuration.
`java.lang.String` | `getPlatformString()` Get the build platform that is used for this build context
`java.util.List<java.io.File>` | `getPrefixFileIncludes()` Returns the list of all header files recursively included by the SDK prefix file.
`ISymbianSDK` | `getSDK()` Get the SDK interface for this build context
`java.lang.String` | `getTargetString()` The debug or release target the platform is building for.
`java.util.List<IDefine>` | `getVariantHRHDefines()` Returns the list of all vendor specific C/C++ macros for this SDK.

Field Detail

### EMULATOR_PLATFORM

    static final java.lang.String EMULATOR_PLATFORM

  Platform constants

  See Also:
    Constant Field Values

### ARMI_PLATFORM

    static final java.lang.String ARMI_PLATFORM

See Also:
  Constant Field Values

### ARM4_PLATFORM

    static final java.lang.String ARM4_PLATFORM

See Also:
  Constant Field Values

### THUMB_PLATFORM

    static final java.lang.String THUMB_PLATFORM

See Also:
  Constant Field Values

### GCCE_PLATFORM

    static final java.lang.String GCCE_PLATFORM

See Also:
  Constant Field Values

### ARMV5_PLATFORM

    static final java.lang.String ARMV5_PLATFORM

See Also:
  Constant Field Values

### ARMV6_PLATFORM

    static final java.lang.String ARMV6_PLATFORM

See Also:
  Constant Field Values

### ARMV5_ABIV2_PLATFORM

    static final java.lang.String ARMV5_ABIV2_PLATFORM

See Also:
  Constant Field Values

### ARMV6_ABIV2_PLATFORM

    static final java.lang.String ARMV6_ABIV2_PLATFORM

See Also:
  Constant Field Values

### DEBUG_TARGET

    static final java.lang.String DEBUG_TARGET

  Target constants

  See Also:
    Constant Field Values

### RELEASE_TARGET

    static final java.lang.String RELEASE_TARGET

See Also:
  Constant Field Values

Method Detail

### getSDK

    ISymbianSDK getSDK()

  Get the SDK interface for this build context

  Returns:
    ISymbianSDK interface.

### getPlatformString

    java.lang.String getPlatformString()

  Get the build platform that is used for this build context

  Returns:
    A build platform that can be use with 'abld build' (e.g. WINSWC, THUMB)

### getTargetString

    java.lang.String getTargetString()

  The debug or release target the platform is building for.

  Returns:
    UDEB or UREL.
  See Also:
    `and RELEASE_TARGET`

### getDisplayString

    java.lang.String getDisplayString()

  Get the full display string for the configuration. This is what you see in the UI build configuration selection.

  Returns:
    String

### getDefaultDefFileDirectoryName

    java.lang.String getDefaultDefFileDirectoryName(boolean isASSP)

  Get the implicit directory searched for *.def files by the DEFFILE statement.

  Parameters:
    `isASSP` - true if targeting ASSP
  Returns:
    bare directory name (e.g. 'BWINS', 'BMARM', 'EABI')

### getCompilerPrefixFile

    IPath getCompilerPrefixFile()

  Get the prefix file used at build time. This usually provides definitions of common macros.

  Returns:
    full path, or null if no prefix file known

### getVariantHRHDefines

    java.util.List<IDefine> getVariantHRHDefines()

  Returns the list of all vendor specific C/C++ macros for this SDK. The list of macros is defined in the variant configuration file inside \epoc32\tools\variant.cfg (or \epoc32\tools\spp_variant.cfg for platform variation SDKs). The file itself contains an HRH file entry and may also contain macro definitions thereafter.

  Returns:
    a list of macros which may be empty.

### getPrefixFileIncludes

    java.util.List<java.io.File> getPrefixFileIncludes()

  Returns the list of all header files recursively included by the SDK prefix file. Note that the list of files could be different for different context's since the platform can potentially change the list of include paths.

  Returns:
    a list of header files which may be empty

### getCompilerMacros

    java.util.List<IDefine> getCompilerMacros()

  Returns the list of compiler macros from the compiler prefix file (if any).

  Returns:
    a list of macros which may be empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD